# Update Category

## PUT /public/v1/public-catalog/categories/{id}

> Updates an existing category record in the public catalog.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/public-catalog/categories/{id}":{"put":{"tags":["Categories"],"summary":"Updates an existing category record in the public catalog.","parameters":[{"name":"id","in":"path","description":"The unique identifier of the category to update.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"An instance of the Mpt.Framework.Application.Partials.Delta`1 class representing the updates to apply to the category.\nThe updates may include changes to properties such as name and description.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCategory"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateCategory"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateCategory"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryEntity"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"UpdateCategory":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"parentCategory":{"allOf":[{"$ref":"#/components/schemas/RequestObjectLink"}]},"vendorProfiles":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"},"nullable":true},"productProfiles":{"type":"array","items":{"$ref":"#/components/schemas/RequestObjectLink"},"nullable":true}},"additionalProperties":false},"RequestObjectLink":{"type":"object","properties":{"id":{"type":"string"}},"additionalProperties":false},"CategoryEntity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/CategoryAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"parentCategory":{"type":"object","allOf":[{"$ref":"#/components/schemas/CategoryEntityRef"}]},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"CategoryAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"published":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unpublished":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"CategoryEntityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Published","Unpublished","Deleted"],"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
